Bug 713146 - Screensaver unlock only uses first 8 characters of an LDAP password
Screensaver unlock only uses first 8 characters of an LDAP password
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-screensaver (Show other bugs)
14
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-14 09:41 EDT by Mark Watts
Modified: 2012-08-16 11:38 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 11:38:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark Watts 2011-06-14 09:41:49 EDT
We have a number of Fedora 14 clients configured to authenticate from a 389-server LDAP tree. We also use nscd.

Initial (GDM) login works fine; any form of incorrect password will not login.

Once logged in, a user locks the screen.
Unlocking only requires the user to type the first 8 characters of their password. This can either be just the first 8, or the first 8 plus any random characters - the result is the same: the screen unlocks.

I've verified this on two of our client machines and I get the same issue.

This does NOT affect local user accounts. I cannot replicate this with a local account.
Comment 1 Fedora Admin XMLRPC Client 2011-06-21 11:58:19 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Mike 2011-07-21 23:16:22 EDT
I'm curious as to what the password hash looks like?  I'm curious as to if it is using a DES hash, as opposed to any other type of hash.

Any chance you can describe the hash as being a DES hash, or any other type of hash?

Also, any chance you can provide relevant pam configuration file?  I'm not sure without looking if it is /etc/pam.d/gnome-screensaver, and any file it may reference in the password (if it references system-auth).
Comment 3 Mark Watts 2011-08-11 04:30:36 EDT
The only thing I can say is that within the LDAP tree, the passwords are {CRYPT} (since thats what 389-console appears to default to).


[root@localhost ~]# cat /etc/pam.d/gnome-screensaver 
#%PAM-1.0

# Fedora Core
auth     [success=done ignore=ignore default=bad] pam_selinux_permit.so
session    include	system-auth
auth       include	system-auth
auth       optional     pam_gnome_keyring.so
account    include	system-auth
password   include	system-auth

# SuSE/Novell
#auth       include      common-auth
#auth       optional     pam_gnome_keyring.so
#account    include      common-account
#password   include      common-password
#session    include      common-session
[root@localhost ~]# rpm -qf /etc/pam.d/gnome-screensaver 
gnome-screensaver-2.30.2-2.fc14.x86_64
[root@localhost ~]# rpm -V gnome-screensaver
[root@localhost ~]#
Comment 4 Fedora End Of Life 2012-08-16 11:38:32 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.